View Issue Details

IDProjectCategoryView StatusLast Update
0001997SymmetricDSBugpublic2014-10-09 07:53
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.9 
Target Version3.6.10Fixed in Version3.6.10 
Summary0001997: Excessive logging from PropertiesFactoryBean
DescriptionThe PropertiesFactoryBean class changed its package, and now it's logging too much again. The log4j.xml needs to be adjusted:

    <!-- Disable the not found override properties file warnings to avoid confusion -->
    <category name="org.jumpmind.symmetric.util.PropertiesFactoryBean">^M
        <priority value="ERROR" />
    </category>
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master ee2dc0b1

2014-10-01 17:25:06

erilong

Details Diff
0001997: Excessive logging from PropertiesFactoryBean
0001997
mod - symmetric-server/src/main/deploy/conf/log4j.xml Diff File

SymmetricDS: master 7e9f6b76

2014-10-02 10:12:10

erilong

Details Diff
0001997: Excessive logging from PropertiesFactoryBean
0001997
mod - symmetric-server/src/main/deploy/conf/log4j-debug.xml Diff File

SymmetricDS: master 9d49a29a

2014-10-03 08:32:08

erilong

Details Diff
0001997: Excessive logging from PropertiesFactoryBean
0001997
mod - symmetric-client/src/test/resources/log4j.xml Diff File
mod - symmetric-core/src/test/resources/log4j.xml Diff File
mod - symmetric-db/src/test/resources/log4j.xml Diff File
mod - symmetric-io/src/test/resources/log4j.xml Diff File
mod - symmetric-jdbc/src/test/resources/log4j.xml Diff File
mod - symmetric-oracle/src/test/resources/log4j.xml Diff File
mod - symmetric-postgres/src/test/resources/log4j.xml Diff File
mod - symmetric-util/src/test/resources/log4j.xml Diff File

SymmetricDS: master 2139b28d

2014-10-03 08:32:24

erilong

Details Diff
0001997: Excessive logging from PropertiesFactoryBean
0001997
mod - symmetric-server/src/test/resources/log4j.xml Diff File

SymmetricDS: master a1907d32

2014-10-07 13:11:18

chenson

Details Diff
0001997: Excessive logging from PropertiesFactoryBean
0001997
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/util/PropertiesFactoryBean.java Diff File

Issue History

Date Modified Username Field Change
2014-10-01 17:23 elong New Issue
2014-10-01 17:23 elong Status new => assigned
2014-10-01 17:23 elong Assigned To => elong
2014-10-01 17:25 elong Status assigned => resolved
2014-10-01 17:25 elong Fixed in Version => 3.6.10
2014-10-01 17:25 elong Resolution open => fixed
2014-10-01 18:00 Changeset attached => SymmetricDS 3.6 r8768
2014-10-01 18:00 Changeset attached => SymmetricDS trunk r8769
2014-10-02 11:00 Changeset attached => SymmetricDS 3.6 r8770
2014-10-02 11:00 Changeset attached => SymmetricDS trunk r8771
2014-10-03 09:00 Changeset attached => SymmetricDS trunk r8776
2014-10-03 09:00 Changeset attached => SymmetricDS trunk r8777
2014-10-07 14:00 chenson Changeset attached => SymmetricDS trunk r8780
2014-10-09 07:53 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master a1907d32
2015-07-30 21:49 Changeset attached => SymmetricDS master 2139b28d
2015-07-30 21:49 Changeset attached => SymmetricDS master 9d49a29a
2015-07-30 21:49 Changeset attached => SymmetricDS master 7e9f6b76
2015-07-30 21:49 Changeset attached => SymmetricDS master ee2dc0b1